﻿using System.Web.Mvc;

namespace DS.Web.Mvc.PathHelper
{
    /// <summary>
    /// Controller扩展方法
    /// </summary>
    static public class ControllerExtensions
    {
        /// <summary>
        /// 设置新路径
        /// </summary>
        /// <param name="controller">控制器</param>
        /// <param name="name">名称</param>
        /// <param name="routeValues">路由属性</param>
        static public void SetNewPath(this Controller controller, string name, object routeValues)
        {
            var webPath =
                (WebPath)
                (controller.ViewData[WebPath.DefaultName] ?? (controller.ViewData[WebPath.DefaultName] = new WebPath()));
            webPath.AddPath(name, controller.Url.RouteUrl(routeValues));
        }
    }
}