﻿using System;
using System.Collections.Generic;
using System.Collections;

namespace DS.Web.Mvc.PathHelper
{
    /// <summary>
    /// 网站路径
    /// </summary>
    public class WebPath : IEnumerable<string[]>
    {

        /// <summary>
        /// 默认名
        /// </summary>
        public static string DefaultName
        {
            get { return _defaultName ?? (_defaultName = "WebPath"); }
            set { _defaultName = value; }
        }
        private static string _defaultName;

        private List<string[]> paths = new List<string[]>();

        /// <summary>
        /// 数量
        /// </summary>
        public int Count
        {
            get
            {
                return paths.Count;
            }
        }

        /// <summary>
        /// 增加
        /// </summary>
        /// <param name="name">名称</param>
        /// <param name="path">路径</param>
        public void AddPath(string name, string path)
        {
            paths.Add(new[] { name, path });
        }

        /// <summary>
        /// 取路径
        /// </summary>
        /// <param name="deepth">深度</param>
        /// <returns></returns>
        public string[] this[int deepth]
        {
            get
            {
                if (deepth >= Count) throw new ApplicationException("超出索引范围");
                return paths[deepth];
            }
        }

        /// <summary>
        /// 得到枚举器
        /// </summary>
        /// <returns></returns>
        public IEnumerator<string[]> GetEnumerator()
        {
            return paths.GetEnumerator();
        }

        /// <summary>
        /// 得到枚举器
        /// </summary>
        /// <returns></returns>
        IEnumerator IEnumerable.GetEnumerator()
        {
            return paths.GetEnumerator();
        }
    }

}